﻿/**Begin D:\tool\PDM_UPGRADE\pdm_new\ISCB_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ISCX_RES_CATALOG', 'T_ISCX_RES_CATALOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_RES_CATALOG_N') CREATE INDEX IDX_ISCX_RES_CATALOG_N ON T_ISCX_RES_CATALOG ( FLONG_NUMBER );


 EXEC P_ALTERPK 'PK_T_ISCX_ICON_REPOSITORY', 'T_ISCX_ICON_REPOSITORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_ICON_RESP_G') CREATE INDEX IDX_ISCX_ICON_RESP_G ON T_ISCX_ICON_REPOSITORY ( FGROUP );


 EXEC P_ALTERPK 'PK_T_ISCX_RES_MAIN', 'T_ISCX_RES_MAIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_RES_MAIN_T') CREATE INDEX IDX_ISCX_RES_MAIN_T ON T_ISCX_RES_MAIN ( FTYPE );


 EXEC P_ALTERPK 'PK_T_ISCX_RES_TYPE', 'T_ISCX_RES_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISC_RES_TYPE_N') CREATE INDEX IDX_ISC_RES_TYPE_N ON T_ISCX_RES_TYPE ( FNUMBER );


EXEC P_ALTERPK 'PK_T_ISCX_RES_TYPE_L', 'T_ISCX_RES_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_RES_TYPE_L_0') CREATE INDEX IDX_ISCX_RES_TYPE_L_0 ON T_ISCX_RES_TYPE_L ( FID );


 EXEC P_ALTERPK 'PK_T_ISCX_CATALOG_SYSTEMS', 'T_ISCX_CATALOG_SYSTEMS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_CATALOG_SYSTEMS_FK') CREATE INDEX IDX_ISCX_CATALOG_SYSTEMS_FK ON T_ISCX_CATALOG_SYSTEMS ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_CATALOG_SYSTEMS_FK2') CREATE INDEX IDX_ISCX_CATALOG_SYSTEMS_FK2 ON T_ISCX_CATALOG_SYSTEMS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_ISCX_RES_EXT_DEPENDS', 'T_ISCX_RES_EXT_DEPENDS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_RES_EXT_DEPENDS_FK') CREATE INDEX IDX_ISCX_RES_EXT_DEPENDS_FK ON T_ISCX_RES_EXT_DEPENDS ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_RES_EXT_DEPENDS_FK2') CREATE INDEX IDX_ISCX_RES_EXT_DEPENDS_FK2 ON T_ISCX_RES_EXT_DEPENDS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_ISCX_RES_MAIN_DEPENDS', 'T_ISCX_RES_MAIN_DEPENDS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_RES_MAIN_DEPENDS_FK') CREATE INDEX IDX_ISCX_RES_MAIN_DEPENDS_FK ON T_ISCX_RES_MAIN_DEPENDS ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_RES_MAIN_DEPENDS_FK2') CREATE INDEX IDX_ISCX_RES_MAIN_DEPENDS_FK2 ON T_ISCX_RES_MAIN_DEPENDS ( FBASEDATAID );



/**End D:\tool\PDM_UPGRADE\pdm_new\ISCB_constraint.sql **/
