﻿/**Begin D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_MAIN_DEPENDS')
 CREATE TABLE T_ISCX_RES_MAIN_DEPENDS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_MAIN')
 CREATE TABLE T_ISCX_RES_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(150) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(250) DEFAULT ' ' NOT NULL,
FCATALOG BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(500) DEFAULT ' ' NOT NULL,
FIS_EXTENDED CHAR(1) DEFAULT '0' NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAINTAINER_TENANT VARCHAR(100) DEFAULT ' ' NOT NULL,
FIS_VALID CHAR(1) DEFAULT '0' NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDETAILS VARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILS_TAG NCLOB,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FEXTENDOR BIGINT DEFAULT 0 NOT NULL,
FEXTENDEDTIME DATETIME,
FSCOPE BIGINT DEFAULT 0 NOT NULL,
FEXT_TENANT VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTENSIONS VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENSIONS_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_EXT_DEPENDS') 
 CREATE TABLE T_ISCX_RES_EXT_DEPENDS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_CATALOG') 
 CREATE TABLE T_ISCX_RES_CATALOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FICON_URL VARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLONG_NUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENT BIGINT DEFAULT 0 NOT NULL,
FDETAILS VARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILS_TAG NCLOB,
FPRIORITY BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_CATALOG_L')
CREATE TABLE T_ISCX_RES_CATALOG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10),
FNAME VARCHAR(150)
);

EXEC P_ALTERPK 'PK_T_ISCX_RES_CATALOG_L', 'T_ISCX_RES_CATALOG_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ISCX_CATALOG_L') CREATE INDEX IDX_ISCX_CATALOG_L ON T_ISCX_RES_CATALOG_L ( FID ,FLOCALEID );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_ICON_REPOSITORY') 
 CREATE TABLE T_ISCX_ICON_REPOSITORY (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FGROUP VARCHAR(50) DEFAULT ' ' NOT NULL,
FICON_URL VARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_DATAX_TRIGGER') 
 CREATE TABLE T_ISCX_DATAX_TRIGGER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDATA_FLOW BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAX_RETRY_TIMES BIGINT DEFAULT 0 NOT NULL,
FRETRY_INTERVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAX_THREADS BIGINT DEFAULT 0 NOT NULL,
FLOG_LEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FJOB_MUTEX BIGINT DEFAULT 0 NOT NULL,
FWORK_AREA_SIZE BIGINT DEFAULT 0 NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FEVENT_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCRC VARCHAR(8) DEFAULT ' ' NOT NULL,
FCHECKPOINT BIGINT DEFAULT 0 NOT NULL,
FEVENT_MODEL BIGINT DEFAULT 0 NOT NULL,
FEVENT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_DATAX_STREAM') 
 CREATE TABLE T_ISCX_DATAX_STREAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FDATA_FLOW_TRIGGER BIGINT DEFAULT 0 NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FSTART_TIME DATETIME,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTEXT_TAG NCLOB,
FMODIFYTIME DATETIME,
FDATA_FLOW_DEF BIGINT DEFAULT 0 NOT NULL,
FEVENT_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMS VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAMS_TAG NCLOB,
FEXECUTE_COUNT BIGINT DEFAULT 0 NOT NULL,
FHOST VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_DATAX_PARAM') 
 CREATE TABLE T_ISCX_DATAX_PARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAM_NUMBER VARCHAR(150) DEFAULT ' ' NOT NULL,
FPARAM_NAME VARCHAR(250) DEFAULT ' ' NOT NULL,
FPARAM_VALUE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARAM_TYPE VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_DATAX_CONNECTOR') 
 CREATE TABLE T_ISCX_DATAX_CONNECTOR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONNECTOR_REF BIGINT DEFAULT 0 NOT NULL,
FCONNECTOR_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONNECTOR_NUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONNECTOR_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_DATA_STREAM_TRACE') 
 CREATE TABLE T_ISCX_DATA_STREAM_TRACE (
FID BIGINT DEFAULT 0 NOT NULL,
FDATA_STREAM BIGINT DEFAULT 0 NOT NULL,
FDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FTIME DATETIME,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_DATA_STREAM_LOG') 
 CREATE TABLE T_ISCX_DATA_STREAM_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FHOST VARCHAR(50) DEFAULT ' ' NOT NULL,
FTIME DATETIME,
FDATA_STREAM BIGINT DEFAULT 0 NOT NULL,
FERROR VARCHAR(255) DEFAULT ' ' NOT NULL,
FERROR_TAG NCLOB,
FDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FNODE_TITLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODE_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_DATA_FLOW_DEFINE') 
 CREATE TABLE T_ISCX_DATA_FLOW_DEFINE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FDATA_FLOW BIGINT DEFAULT 0 NOT NULL,
FDEFINE_JSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FDEFINE_JSON_TAG NCLOB,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FDATA_FLOW_TRIGGER BIGINT DEFAULT 0 NOT NULL,
FEVENT_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAX_THREADS BIGINT DEFAULT 0 NOT NULL,
FLOG_LEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FWORK_AREA_SIZE BIGINT DEFAULT 0 NOT NULL,
FJOB_MUTEX BIGINT DEFAULT 0 NOT NULL,
FMAX_RETRY_TIMES BIGINT DEFAULT 0 NOT NULL,
FRETRY_INTERVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCRC VARCHAR(8) DEFAULT ' ' NOT NULL,
FCHECKPOINT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_CONNECTOR') 
 CREATE TABLE T_ISCX_CONNECTOR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONNECTION BIGINT DEFAULT 0 NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_CATALOG_SYSTEMS')
 CREATE TABLE T_ISCX_CATALOG_SYSTEMS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCX_DATAX_TRIGGER' AND KSQL_COL_NAME IN ('FFAILED_NOTICE'))
 ALTER TABLE T_ISCX_DATAX_TRIGGER ADD (FFAILED_NOTICE BIGINT DEFAULT 0 NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCX_DATA_FLOW_DEFINE' AND KSQL_COL_NAME IN ('FFAILED_NOTICE'))
 ALTER TABLE T_ISCX_DATA_FLOW_DEFINE ADD (FFAILED_NOTICE BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCX_DATAX_TRIGGER' AND KSQL_COL_NAME IN ('FSUCCESS_NOTICE'))
 ALTER TABLE T_ISCX_DATAX_TRIGGER ADD (FSUCCESS_NOTICE BIGINT DEFAULT 0 NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ISCX_DATA_FLOW_DEFINE' AND KSQL_COL_NAME IN ('FSUCCESS_NOTICE'))
 ALTER TABLE T_ISCX_DATA_FLOW_DEFINE ADD (FSUCCESS_NOTICE BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE-ISCB\PDM_UPGRADE\pdm1\ISCB_table.sql **/
