﻿/**Begin D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_CATALOG') 
 CREATE TABLE T_ISCX_RES_CATALOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30),
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT,
FMODIFIER BIGINT,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FREMARK NVARCHAR(255),
FICON_URL VARCHAR(255),
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLONG_NUMBER VARCHAR(50),
FPARENT BIGINT,
FDETAILS VARCHAR(255),
FDETAILS_TAG NCLOB,
FPRIORITY BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_ICON_REPOSITORY') 
 CREATE TABLE T_ISCX_ICON_REPOSITORY (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(150),
FGROUP NVARCHAR(50),
FICON_URL VARCHAR(150)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_MAIN') 
 CREATE TABLE T_ISCX_RES_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(150),
FNAME NVARCHAR(250),
FCATALOG BIGINT,
FREMARK NVARCHAR(500),
FIS_EXTENDED CHAR(1),
FVERSION BIGINT,
FTYPE VARCHAR(36),
FMAINTAINER_TENANT VARCHAR(100),
FIS_VALID CHAR(1),
FMODIFIER BIGINT,
FMODIFYTIME DATETIME,
FDETAILS VARCHAR(255),
FDETAILS_TAG NCLOB,
FCREATOR BIGINT,
FCREATETIME DATETIME,
FEXTENDOR BIGINT,
FEXTENDEDTIME DATETIME,
FSCOPE BIGINT,
FEXT_TENANT VARCHAR(50),
FEXTENSIONS VARCHAR(255),
FEXTENSIONS_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_TYPE')
 CREATE TABLE T_ISCX_RES_TYPE (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30),
FNAME VARCHAR(150),
FGROUP VARCHAR(50),
FOR_SOLUTION CHAR(1),
FOR_MODULE CHAR(1),
FOR_COMMON CHAR(1),
FPRIORITY BIGINT,
FICON_URL VARCHAR(255)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_TYPE_L')
CREATE TABLE T_ISCX_RES_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10),
FNAME VARCHAR(150)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_CATALOG_SYSTEMS') 
 CREATE TABLE T_ISCX_CATALOG_SYSTEMS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_EXT_DEPENDS') 
 CREATE TABLE T_ISCX_RES_EXT_DEPENDS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCX_RES_MAIN_DEPENDS') 
 CREATE TABLE T_ISCX_RES_MAIN_DEPENDS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
